Debian Bug report logs - #550200
udev fails to install

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Erik Ölsar <erlk.ozlr@gmail.com>

Date: Thu, 8 Oct 2009 11:09:02 UTC

Severity: normal

Found in version udev/146-4

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#550200; Package udev. (Thu, 08 Oct 2009 11:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Ölsar <erlk.ozlr@gmail.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 08 Oct 2009 11:09:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erik Ölsar <erlk.ozlr@gmail.com>
To: submit@bugs.debian.org
Subject: udev fails to install
Date: Thu, 8 Oct 2009 12:48:42 +0200
Package: udev
Version: 146-4

Hi,
udev can't upgrade, I get : "
error getting signalfd
Cannot start udevd. (rc=5)
"
When I start "udevd" manually, I get "error getting signalfd" too.

Consequently, I have no network, no sound, and I cannot upgrade other
packages that depend on udev.

Thanks




Reply sent to md@Linux.IT (Marco d'Itri):
You have taken responsibility. (Thu, 08 Oct 2009 11:54:16 GMT) Full text and rfc822 format available.

Notification sent to Erik Ölsar <erlk.ozlr@gmail.com>:
Bug acknowledged by developer. (Thu, 08 Oct 2009 11:54:16 GMT) Full text and rfc822 format available.

Message #10 received at 550200-done@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Erik Ölsar <erlk.ozlr@gmail.com>, 550200-done@bugs.debian.org
Subject: Re: Bug#550200: udev fails to install
Date: Thu, 8 Oct 2009 13:14:40 +0200
[Message part 1 (text/plain, inline)]
On Oct 08, Erik Ölsar <erlk.ozlr@gmail.com> wrote:

> When I start "udevd" manually, I get "error getting signalfd" too.
Read README.Debian and get a useful kernel.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#550200; Package udev. (Thu, 08 Oct 2009 12:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Ölsar <erlk.ozlr@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 08 Oct 2009 12:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 550200@bugs.debian.org (full text, mbox):

From: Erik Ölsar <erlk.ozlr@gmail.com>
To: "Marco d'Itri" <md@linux.it>
Cc: 550200@bugs.debian.org
Subject: Re: Bug#550200: udev fails to install
Date: Thu, 8 Oct 2009 14:15:51 +0200
Unfortunately, I have a 2.6.26 kernel while the README.debian says the
minimum is 2.6.22, and it doesn't work, so the problem is not the
which you think.


2009/10/8 Marco d'Itri <md@linux.it>:
> On Oct 08, Erik Ölsar <erlk.ozlr@gmail.com> wrote:
>
>> When I start "udevd" manually, I get "error getting signalfd" too.
> Read README.Debian and get a useful kernel.
>
> --
> ciao,
> Marco
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iEYEARECAAYFAkrNyZ8ACgkQFGfw2OHuP7ExRwCgnOpZqduoNTf/QC+AcuE0XTl8
> jYIAn2mf7aglMPF+xpy3SNxt7Mp8p8DQ
> =UQy1
> -----END PGP SIGNATURE-----
>
>




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Oct 2009 12:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#550200; Package udev. (Thu, 08 Oct 2009 12:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Thu, 08 Oct 2009 12:36:10 GMT) Full text and rfc822 format available.

Message #22 received at 550200@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Erik Ölsar <erlk.ozlr@gmail.com>, 550200@bugs.debian.org
Subject: Re: Bug#550200: udev fails to install
Date: Thu, 8 Oct 2009 14:31:21 +0200
[Message part 1 (text/plain, inline)]
OTOH, I have just been enlightened and found out how to check for
signalfd and other features, so the next release will abort in preinst
if a self-built kernel is not acceptable.

Read again README.Debian in the part which lists the features needed,
your kernel lacks support for signalfd(2).

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug closed, send any further explanations to Erik Ölsar <erlk.ozlr@gmail.com> Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Thu, 08 Oct 2009 12:36:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#550200; Package udev. (Fri, 30 Oct 2009 17:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to jrodman@splunk.com:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 30 Oct 2009 17:12:08 GMT) Full text and rfc822 format available.


Message #29 received at 550200@bugs.debian.org (full text, mbox):

From: Joshua Rodman <jrodman@splunk.com>
To: 550200@bugs.debian.org
Date: Fri, 30 Oct 2009 09:45:22 -0700
Just installed udev.
Failed.

Now the whole upgrade process is broken.

My kernel is supplied by debian.

How is this bug resolved?




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#550200; Package udev. (Fri, 30 Oct 2009 17:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to jrodman@splunk.com:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 30 Oct 2009 17:51:14 GMT) Full text and rfc822 format available.

Message #34 received at 550200@bugs.debian.org (full text, mbox):

From: Joshua Rodman <jrodman@splunk.com>
To: 550200@bugs.debian.org
Subject: Re: your mail
Date: Fri, 30 Oct 2009 09:52:02 -0700
On Fri, Oct 30, 2009 at 09:45:22AM -0700, Joshua Rodman wrote:
> 
> Just installed udev.
> Failed.
> 
> Now the whole upgrade process is broken.
> 
> My kernel is supplied by debian.
> 
> How is this bug resolved?

Insult to injury: i cannot install a new kernel because udev is in
broken state, so dependencies are not satisfied.

-josh





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Nov 2009 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:11:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.